> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List feature engineering jobs

> Paginated list of feature engineering jobs.



## OpenAPI

````yaml get /api/automl/feature-engineering/jobs
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/automl/feature-engineering/jobs:
    get:
      tags:
        - AutoML Feature Engineering
      summary: List feature engineering jobs
      description: Paginated list of feature engineering jobs.
      operationId: list_jobs_api_automl_feature_engineering_jobs_get
      parameters:
        - name: domain
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by business domain.
            title: Domain
          description: Filter by business domain.
        - name: owner
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by owner username.
            title: Owner
          description: Filter by owner username.
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/AutoMLFeatureEngineeringStatusEnum'
              - type: 'null'
            description: Filter by status.
            title: Status
          description: Filter by status.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            default: 50
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AutoMLFeatureEngineeringJobsList'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    AutoMLFeatureEngineeringStatusEnum:
      type: string
      enum:
        - running
        - pending_approval
        - failed
        - approved
        - materializing
        - complete
      title: AutoMLFeatureEngineeringStatusEnum
      description: Lifecycle of an AutoML feature engineering job.
    AutoMLFeatureEngineeringJobsList:
      properties:
        items:
          items:
            $ref: '#/components/schemas/AutoMLFeatureEngineeringJobSummary'
          type: array
          title: Items
        total:
          type: integer
          title: Total
        limit:
          type: integer
          title: Limit
        offset:
          type: integer
          title: Offset
      type: object
      required:
        - items
        - total
        - limit
        - offset
      title: AutoMLFeatureEngineeringJobsList
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AutoMLFeatureEngineeringJobSummary:
      properties:
        job_id:
          type: string
          format: uuid
          title: Job Id
        target_table_name:
          type: string
          title: Target Table Name
        domain:
          type: string
          title: Domain
        owner:
          type: string
          title: Owner
        status:
          $ref: '#/components/schemas/AutoMLFeatureEngineeringStatusEnum'
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - job_id
        - target_table_name
        - domain
        - owner
        - status
        - created_at
        - updated_at
      title: AutoMLFeatureEngineeringJobSummary
      description: Lightweight list-view of a job for paginated endpoints.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````